> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/tutelar-api-document-v2/fraud-detection-monitoring/notify-transaction.md).

# Notify Transaction

&#x20;               By utilizing the Notify Transaction API, the client can submit the transaction status of a previously requested transaction. Tutelar will only consider the transaction closed upon successful payment, which triggers the notify transaction process.

### Header

| Name          | Value                     |
| ------------- | ------------------------- |
| Content-Type  | `application/json`        |
| Authorization | `Bearer eyJhbGciOiJ.....` |

## POST /api/v2/fraud-detector/transaction/notify

> Notify transaction status

```json
{"openapi":"3.0.0","info":{"title":"Notify Transaction API","version":"1.0.0"},"servers":[{"url":"https://secctrl.tutelar.io"}],"paths":{"/api/v2/fraud-detector/transaction/notify":{"post":{"summary":"Notify transaction status","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["orderId","status","transactionId"],"properties":{"orderId":{"type":"string","description":"A unique identifier for the order associated with the transaction. It helps in tracking and referencing the specific order within the system."},"status":{"type":"string","description":"Indicates the completion status of the transaction. For a successful transaction, send the value \"success\". For all other cases, send the value \"failure\".","enum":["success","failure","cancelled"]},"transactionId":{"type":"string","description":"A unique identifier for the transaction within the system. It is used to track and reference the specific transaction details."},"statusReason":{"type":"string","description":"It can be used to provide additional context for the transaction status.."}}}}}},"responses":{"200":{"description":"Transaction status updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"data":{"type":"object","properties":{"orderId":{"type":"string"},"requestedDateTime":{"type":"string","format":"date-time"},"responseDateTime":{"type":"string","format":"date-time"},"processedTime":{"type":"integer"}}}}}}}},"400":{"description":"If an invalid status is provided.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"code":{"type":"integer"},"message":{"type":"string"}}}}}}}}}}}
```
